
function w = conv1(x,y)
%
% Usage: out = conv1(x,y)
%
% Computes the same as the matlab function conv(x,y(end:-1:1),'valid') 
% but is much faster for long vectors
%
    w = ifft(fft(x).*conj(fft([y; zeros(length(x)-length(y),1)])));
    w = w(1:length(x)-length(y)+1);